[CentOS-devel] yum-3.2.8 for Centos 4 backport, part II.

Akemi Yagi amyagi at gmail.com
Thu Jul 23 21:06:22 UTC 2009


On Thu, Jul 23, 2009 at 11:57 AM, Seth Vidal<skvidal at fedoraproject.org> wrote:

> On Thu, 23 Jul 2009, Akemi Yagi wrote:

>> I know of at least one issue with yum in CentOS-5. If I try to build
>> grub in mock, I get:
>>
>> No Package Found for /usr/lib/crt1.o
>> 0:binutils-2.17.50.0.6-9.el5.x86_64
>> 0:ncurses-devel-5.5-24.20060715.x86_64
>>
>> Cannot find build req  /usr/lib/crt1.o. Exiting.

> centos5 has been out for a looooooooooong time now and the yum that's in
> centos 5.3 has had a number of bugfixes.

Sorry, the above example output was from a CentOS 5.3 system with
yum-3.2.19-18.el5.  It was generated a few hours ago.  :)

> So is yum 3.X considered bad b/c 3.0.X had some bugs?

No, I did not say that.  However, I will continue to use CentOS-4 for
running mock for the time being.

>B/c lemme tell you 2.4.X had a good number of bugs, too.

I firmly believe you. :-)

>> This still happens with the current yum-3.2.19-18.el5.centos.noarch
>> (and mock-0.6.13-1.el5_2.3.x86_64) in CentOS-5.
>
> It looks like it is fixed in yum available for what will be centos
> 5.4/rhel 5.4.
>
> yum 3.2.22 doesn't have it this issue.

I'm not sure why, but I just installed yum-3.2.22-15.el5.noarch (from
RHEL5.4beta) and mock ended with the same error as above...

Akemi


More information about the CentOS-devel mailing list